Summary:	Mako template library for Python
Name:		python-mako
Version:	1.1.6
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:		https://www.makotemplates.org/
Source0:	https://files.pythonhosted.org/packages/source/M/Mako/Mako-%{version}.tar.xz
BuildArch:	noarch

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%package -n python3-mako
Group:		Development/Python
Summary:	Mako template library for Python 3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-markupsafe
BuildRequires:  python3-beaker

Requires:	python3-beaker
Requires:	python3-markupsafe

%{?python_provide:%python_provide python3-mako}

%description -n python3-mako
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -q -n Mako-%{version}

%build
%py3_build


%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

rm -rf doc/build

%files -n python3-mako
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
%{python3_sitelib}/*

%changelog
* Sun Feb 27 2022 TerryN <terryn94 at gmail.com> 1.1.6-1pclos2022
- update and rebuild for python 3.10

* Fri Apr 19 2019 tex 1.0.9-1pclos2019
- new version 1.0.9
